### Function

# Gio SettingsBindGetMapping

#### Declaration

    gboolean
    (* GSettingsBindGetMapping) (
      GValue* value,
      GVariant* variant,
      gpointer user_data
    )

#### Description

The type for the function that is used to convert from `GSettings` to an object property. The `value` is already initialized to hold values of the appropriate type.

#### Parameters

`value`

  Type: `GValue`

  Return location for the property value.

  The data is owned by the caller of the function.

`variant`

  Type: `GVariant`

  The `GVariant`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data that was specified when the binding was created.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the conversion succeeded, `FALSE` in case of an error.